Update the Wii or not?

Discussion in 'Wii - Hacking' started by EndlessNaraku, Jan 28, 2011.

  1. EndlessNaraku
    OP

    EndlessNaraku Member

    Newcomer
    11
    0
    Sep 28, 2008
    Hey. I haven't been following the Wii scene for a long time... I am still in firmware 4.1.

    Is it worth it to update my Wii to 4.3 and mod it or is it the same as 4.1?

    Also, I would like to know if it is already possible to play Wii backups through a FAT or NTFS partition. If so, is the compatibility the same?
     
  2. bjorno

    bjorno GBAtemp Fan

    Member
    428
    1
    Sep 13, 2009
    Netherlands
    NO. DO NOT UPDATE! 4.3 adds NOTHING new, it only blocks exploits to hack the wii. Don't mess with your console when everything is working!! (think about, what if you mess up? Only for that update?? Was the update worth it to brick your wii?

    Yes its already a long time possible to play wii backups through fat or ntfs.

    Compatibility for games is the same.

    I recommend FAT 32. Because I've had a lot of issues with NTFS. Don't want you to go through the way I did, so trust me and go for FAT 32. It will save you a lot of trouble and time [​IMG]

    In the end it is your choice to follow my advice or not. Hope you don't pick the hard way to learn a lesson..
     
  3. Yuan

    Yuan GBAtemp Maniac

    Member
    1,290
    14
    Oct 1, 2007
    Brazil
    4.1 is the best version atm. No need to update. If you need just update some IOSes (like 56) and Shopping Channel, but only them.
     
  4. WalkerOfTheDay

    WalkerOfTheDay GBAtemp Advanced Fan

    Member
    848
    5
    Oct 10, 2008
    Netherlands
    Yes ! The preferred method around here is FAT32, but i've been using NTFS for a while now and have no problems whatsoever. My preferred loader is WiiFlow.
     
  5. Lacius

    Lacius GBAtemp Guru

    Member
    5,884
    2,261
    May 11, 2008
    United States
    Yes, I know for certain that Configurable USB Loader supports FAT and NTFS partitions now; I believe WiiFlow does too if you would rather use that. The compatibility remains the same.
     
  6. Coto

    Coto GBAtemp Addict

    Member
    2,353
    403
    Jun 4, 2010
    Chile
    If you ever update to 4.3U make sure you got the latest hbc installed. (hackmii 1.08) It will overwrite all IOSses regarding to piracy (222,223,249,250) so once update is done, you´ll need those Cios to be re installed.
     
  7. machomuu

    machomuu Drops by occasionally

    Member
    8,441
    599
    Sep 4, 2009
    United States
    The Courtroom
    Yeah, if you use the Brawl exploit (or any others that have the latest hackmii) then install the homebrew channel with it before you update, it's safe. That's what I did.
     
  8. EndlessNaraku
    OP

    EndlessNaraku Member

    Newcomer
    11
    0
    Sep 28, 2008
    Thanks for all the answers. Since 4.3 doesn't bring anything new, I won't update.

    Are you referring to the part of the guide where it says Setting up the SD Card?
     
  9. Nintendo_Chick

    Nintendo_Chick GBAtemp Fan

    Member
    386
    0
    Feb 6, 2009
    United States
    fat32 is better for the wii, because most homebrew doesn't work with ntfs, the main downside is you can't have files 4gb or bigger, but I doubt that'll be much of a problem. The only files I have over 4gb are some truecrypt volumes and vmware drives. This isn't a problem for usb loaders because wbfs managers just split the file if it's too big. You could also have 2 partitions, one fat32 and the other ntfs if you need to store some larger files.
     
  10. Lacius

    Lacius GBAtemp Guru

    Member
    5,884
    2,261
    May 11, 2008
    United States
    I am referring to the part of the guide that says Update to 4.2. It updates your system menu to 4.2, the latest firmware that still works with bannerbomb in case something goes wrong, and updates each IOS to its latest version from 4.3 without stubbing any cIOS.
     
  11. F. Lobot

    F. Lobot GBAtemp Regular

    Member
    147
    2
    Dec 28, 2010
    United States
    Quick semi-related question: What firmware will Metroid Prime Trillogy (US) update my Wii to?
     
  12. Hielkenator

    Hielkenator GBAtemp Psycho!

    Member
    4,219
    385
    Feb 7, 2010
    Netherlands
    4.1

    4.3 also breaks region free gaming.

    Bootmii will also be deleted when updating.
     
  13. Yuan

    Yuan GBAtemp Maniac

    Member
    1,290
    14
    Oct 1, 2007
    Brazil
    4.2 breaks to be exact. But, of course, the changes remains on 4.3
     
  14. zizer

    zizer GBAtemp Addict

    Member
    2,035
    4
    Aug 23, 2010
    No need to update sys menu
     
  15. dn_angel000

    dn_angel000 Phantom User

    Member
    592
    0
    Apr 27, 2010
    United States
    I'd just update ur cIOSs 2 the latest version(s) and also install IOS58 (Tantric's Installer) if u don't have it already!! lol
     
  16. F. Lobot

    F. Lobot GBAtemp Regular

    Member
    147
    2
    Dec 28, 2010
    United States
    The only reason I ask is because I want to load Bannerbomb off of an SDHC card, which requires 4.0 or higher.